Package weka.gui.beans

# Class DataVisualizer

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.beans.DataVisualizer

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `BeanContextChild`, `Serializable`, `EventListener`, `Accessible`, `DataSourceListener`, `TestSetListener`, `TrainingSetListener`, `UserRequestAcceptor`, `Visible`

Direct Known Subclasses:
  `AttributeSummarizer`, `ScatterPlotMatrix`

public class DataVisualizer extends JPanel implements DataSourceListener, TrainingSetListener, TestSetListener, Visible, UserRequestAcceptor, Serializable, BeanContextChild
Bean that encapsulates weka.gui.visualize.VisualizePanel

Version:
  $Revision: 7059 $
Author:
  Mark Hall
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.BaselineResizeBehavior`

## Field Summary

### Fields inherited from class javax.swing.JComponent

`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`DataVisualizer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptDataSet(DataSetEvent e)`
Accept a data set
`void`
`acceptTestSet(TestSetEvent e)`
Accept a test set
`void`
`acceptTrainingSet(TrainingSetEvent e)`
Accept a training set
`void`
`addDataSourceListener(DataSourceListener dsl)`
Add a listener
`void`
`addPropertyChangeListener(String name, PropertyChangeListener pcl)`
Add a property change listener to this bean
`void`
`addVetoableChangeListener(String name, VetoableChangeListener vcl)`
Add a vetoable change listener to this bean
`Enumeration`
`enumerateRequests()`
Describe `enumerateRequests` method here.
`BeanContext`
`getBeanContext()`
Return the bean context (if any) that this bean is embedded in
`BeanVisual`
`getVisual()`
Return the visual appearance of this bean
`String`
`globalInfo()`
Global info for this bean
`static void`
`main(String[] args)`
`void`
`performRequest(String request)`
Describe `performRequest` method here.
`void`
`removeDataSourceListener(DataSourceListener dsl)`
Remove a listener
`void`
`removePropertyChangeListener(String name, PropertyChangeListener pcl)`
Remove a property change listener from this bean
`void`
`removeVetoableChangeListener(String name, VetoableChangeListener vcl)`
Remove a vetoable change listener from this bean
`void`
`setBeanContext(BeanContext bc)`
Set a bean context for this bean
`void`
`setInstances(Instances inst)`
Set instances for this bean.
`void`
`setVisual(BeanVisual newVisual)`
Set the visual appearance of this bean
`void`
`useDefaultVisual()`
Use the default appearance for this bean

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataVisualizer

public DataVisualizer()

## Method Details

### globalInfo

public String globalInfo()
Global info for this bean

Returns:
  a `String` value

### acceptTrainingSet

public void acceptTrainingSet(TrainingSetEvent e)
Accept a training set

Specified by:
  `acceptTrainingSet` in interface `TrainingSetListener`
Parameters:
  `e` - a `TrainingSetEvent` value

### acceptTestSet

public void acceptTestSet(TestSetEvent e)
Accept a test set

Specified by:
  `acceptTestSet` in interface `TestSetListener`
Parameters:
  `e` - a `TestSetEvent` value

### acceptDataSet

public void acceptDataSet(DataSetEvent e)
Accept a data set

Specified by:
  `acceptDataSet` in interface `DataSourceListener`
Parameters:
  `e` - a `DataSetEvent` value

### setVisual

public void setVisual(BeanVisual newVisual)
Set the visual appearance of this bean

Specified by:
  `setVisual` in interface `Visible`
Parameters:
  `newVisual` - a `BeanVisual` value

### getVisual

public BeanVisual getVisual()
Return the visual appearance of this bean

Specified by:
  `getVisual` in interface `Visible`
Returns:
  a `BeanVisual` value

### useDefaultVisual

public void useDefaultVisual()
Use the default appearance for this bean

Specified by:
  `useDefaultVisual` in interface `Visible`

### enumerateRequests

public Enumeration enumerateRequests()
Describe `enumerateRequests` method here.

Specified by:
  `enumerateRequests` in interface `UserRequestAcceptor`
Returns:
  an `Enumeration` value

### addPropertyChangeListener

public void addPropertyChangeListener(String name, PropertyChangeListener pcl)
Add a property change listener to this bean

Specified by:
  `addPropertyChangeListener` in interface `BeanContextChild`
Overrides:
  `addPropertyChangeListener` in class `Container`
Parameters:
  `name` - the name of the property of interest
  `pcl` - a `PropertyChangeListener` value

### removePropertyChangeListener

public void removePropertyChangeListener(String name, PropertyChangeListener pcl)
Remove a property change listener from this bean

Specified by:
  `removePropertyChangeListener` in interface `BeanContextChild`
Overrides:
  `removePropertyChangeListener` in class `Component`
Parameters:
  `name` - the name of the property of interest
  `pcl` - a `PropertyChangeListener` value

### addVetoableChangeListener

public void addVetoableChangeListener(String name, VetoableChangeListener vcl)
Add a vetoable change listener to this bean

Specified by:
  `addVetoableChangeListener` in interface `BeanContextChild`
Parameters:
  `name` - the name of the property of interest
  `vcl` - a `VetoableChangeListener` value

### removeVetoableChangeListener

public void removeVetoableChangeListener(String name, VetoableChangeListener vcl)
Remove a vetoable change listener from this bean

Specified by:
  `removeVetoableChangeListener` in interface `BeanContextChild`
Parameters:
  `name` - the name of the property of interest
  `vcl` - a `VetoableChangeListener` value

### setBeanContext

public void setBeanContext(BeanContext bc)
Set a bean context for this bean

Specified by:
  `setBeanContext` in interface `BeanContextChild`
Parameters:
  `bc` - a `BeanContext` value

### getBeanContext

public BeanContext getBeanContext()
Return the bean context (if any) that this bean is embedded in

Specified by:
  `getBeanContext` in interface `BeanContextChild`
Returns:
  a `BeanContext` value

### setInstances

public void setInstances(Instances inst) throws Exception
Set instances for this bean. This method is a convenience method for clients who use this component programatically

Parameters:
  `inst` - an `Instances` value
Throws:
  `Exception` - if an error occurs

### performRequest

public void performRequest(String request)
Describe `performRequest` method here.

Specified by:
  `performRequest` in interface `UserRequestAcceptor`
Parameters:
  `request` - a `String` value
Throws:
  `IllegalArgumentException` - if an error occurs

### addDataSourceListener

public void addDataSourceListener(DataSourceListener dsl)
Add a listener

Parameters:
  `dsl` - a `DataSourceListener` value

### removeDataSourceListener

public void removeDataSourceListener(DataSourceListener dsl)
Remove a listener

Parameters:
  `dsl` - a `DataSourceListener` value

### main

public static void main(String[] args)